Add "mark as read" as a deprioitized secondary action to every unread notification
Closed, ResolvedPublic

Description

If I recall correctly, @Pginer-WMF's designs called for "mark as read" to be an option in the dotdotdot menu, but right now it doesn't appear there.

Regarding the icons:

  • For mark as read: we are using the "check" icon, a tick mark to indicate completion.
  • For mark as unread we are using the "sun" icon, basically a bright spot to indicate the notification is new again:
Catrope created this task.Dec 18 2015, 11:48 PM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Normal.
Catrope added subscribers: Catrope, Mooeypoo, Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2015, 11:48 PM

Assigning to Pau for clarification and icon assets.

Initially we were a bit hesitant to add the "mark as read" action because it was a bit redundant, but from what we have seen in the testing sessions it seems it can be convenient to anticipate that there will be a "mark as unread" once the notifications became read. So I think it make sense to add it.

I've illustrated both marking as read and unread in a mockup below for further details:

Regarding the icons:

  • For mark as read: we are using the "check" icon, a tick mark to indicate completion.
  • For mark as unread we are using the "sun" icon, basically a bright spot to indicate the notification is new again:
Pginer-WMF updated the task description. (Show Details)Dec 28 2015, 3:34 PM
Pginer-WMF set Security to None.
Pginer-WMF removed Pginer-WMF as the assignee of this task.

Change 265549 had a related patch set uploaded (by Mooeypoo):
Add 'mark as read' as secondary action to unread notifications

https://gerrit.wikimedia.org/r/265549

Mooeypoo claimed this task.Jan 21 2016, 7:30 PM

Just a note: At the moment, secondary actions do not have 2 lines (title + description) so the commit that I submitted only has "mark as read" without the second explanation line.

If we want to add the functionality of second line / descriptions for these links, we should have it as another ticket and discuss the full behavior -- one question, for instance, is whether all secondary actions will have an explanation line or not? Would thinks look different between having one and not having one?

Just a note: At the moment, secondary actions do not have 2 lines (title + description) so the commit that I submitted only has "mark as read" without the second explanation line.

If we want to add the functionality of second line / descriptions for these links, we should have it as another ticket and discuss the full behavior -- one question, for instance, is whether all secondary actions will have an explanation line or not? Would thinks look different between having one and not having one?

We already have infra for this in the presentation models, it's the 'description' field in the secondary links array. I believe it's empty for all existing secondary links. We'd just need it to be rendered by the frontend code.

Change 265549 merged by jenkins-bot:
Add 'mark as read' as secondary action to unread notifications

https://gerrit.wikimedia.org/r/265549

Luke081515 added a subscriber: Luke081515.

Note for re-testing:

  • check betalabs when it'll be available
  • check testwiki (see below)

In testwiki, 'Mark as read' is not present and the design is different:

Re-checked in betalabs - clicking on 'Mark as read' marks the message as read. Other links do not work - T125160: cross-wiki notifications: the secondary action links - User page and Flow board - do not work.

Marking this as resolved. @Pginer-WMF, please note that:

  • the styling of all elements in the fly-out menu looks pretty different than in your designs.
  • we can use secondary text to describe these options if we need it (Roan says there is the facility), but will need consistent language and design.

Is there a separate ticket for these? If not, do you want to create one?

jmatazzoni closed this task as Resolved.Feb 17 2016, 11:38 PM
Pginer-WMF added a comment.EditedFeb 18 2016, 8:40 AM

Marking this as resolved. @Pginer-WMF, please note that:

  • the styling of all elements in the fly-out menu looks pretty different than in your designs.
  • we can use secondary text to describe these options if we need it (Roan says there is the facility), but will need consistent language and design.

    Is there a separate ticket for these? If not, do you want to create one?

We have T126734: Items in the more actions menu of notifications are inconsistent which is part of the pending styling adjustments I compiled at T119374 (consider adding there any missing adjustment as a sub-task)

Thanks @Pginer-WMF . I moved T126734 to the current sprint.